CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CommandMessenger.DisposeStack Class Reference

The dispose stack takes manages disposal of objects that are pushed onto the stack. When the stack is disposed all objects are disposed (in reversed order). More...

List of all members.

## Public Member Functions
T | PushFront< T > (T newObject)
| Pushes a disposable object under the DisposeStack.
T | Push< T > (T newObject)
| Pushes a disposable object under the DisposeStack.
void | Push (params IDisposable[] objects)
| Push an arbitrary number of disposable objects onto the stack in one call.
void | Dispose ()
| Dispose all items within the dispose stack.

## Detailed Description

The dispose stack takes manages disposal of objects that are pushed onto the stack. When the stack is disposed all objects are disposed (in reversed order).

## Member Function Documentation

void CommandMessenger.DisposeStack.Dispose | ( |  | ) |

Dispose all items within the dispose stack.

void CommandMessenger.DisposeStack.Push | ( | params IDisposable[] | objects | ) |

Push an arbitrary number of disposable objects onto the stack in one call.

Parameters:

  objects | The disposable objects

T CommandMessenger.DisposeStack.Push< T > | ( | T | newObject | ) |

Pushes a disposable object under the DisposeStack.

Template Parameters:

  T | Type of object pushed

Parameters:

  newObject | The object pushed on the stack

Returns:
  Returns the pushed object

Type Constraints

  T | : | IDisposable |

T CommandMessenger.DisposeStack.PushFront< T > | ( | T | newObject | ) |

Pushes a disposable object under the DisposeStack.

Template Parameters:

  T | Type of object pushed

Parameters:

  newObject | The object pushed under the stack

Returns:
  Returns the pushed object

Type Constraints

  T | : | IDisposable |

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/DisposeStack.cs